/* =========================
   MINI ERP FLATPICKR THEME
========================= */

:root{
    --erp-primary:rgb(228, 138, 44);
    --erp-primary-hover:rgb(207, 119, 33);
    --erp-border:#e5e5e5;
    --erp-text:#333;
    --erp-radius:6px;
}

/* calendar box */

.flatpickr-calendar{
    border-radius:var(--erp-radius);
    border:1px solid var(--erp-border);
    box-shadow:0 4px 18px rgba(0,0,0,0.08);
    font-size:14px;
}

/* header */

.flatpickr-months{
    background:var(--erp-primary);
    border-radius:var(--erp-radius) var(--erp-radius) 0 0;
}

.flatpickr-current-month{
    color:#fff !important;
    background-color: none;
}

.flatpickr-current-month input.cur-year{
   color:#fff !important;
}

/* từng dòng tháng */

.flatpickr-monthDropdown-month{
    background:#2c3e50 !important;
    color:#fff !important;
    border-radius:6px;
    border:none;
    box-shadow:0 6px 20px rgba(0,0,0,0.2);
}


/* arrow */

.flatpickr-prev-month svg,
.flatpickr-next-month svg{
    fill:#fff;
}

/* hover arrow */

.flatpickr-prev-month:hover svg,
.flatpickr-next-month:hover svg{
    fill:#ffe6c7;
}

/* weekday */

.flatpickr-weekday{
    color:#666;
    font-weight:600;
}

/* day */

.flatpickr-day{
    border-radius:4px;
}

/* hover day */

.flatpickr-day:hover{
    background:#fff3e6;
    border-color:#fff3e6;
}

/* selected day */

.flatpickr-day.selected,
.flatpickr-day.startRange,
.flatpickr-day.endRange{
    background:var(--erp-primary);
    border-color:var(--erp-primary);
    color:#fff;
}

/* today */

.flatpickr-day.today{
    border-color:var(--erp-primary);
}

/* range */

.flatpickr-day.inRange{
    background:#fff3e6;
    border-color:#fff3e6;
}

/* disabled */

.flatpickr-day.disabled{
    opacity:0.3;
}

/* week number */

.flatpickr-weekwrapper .flatpickr-weeks{
    background:#fafafa;
}


.erp-lunar{

    position:absolute;

    left:4px;
    bottom:2px;

    font-size:10px;
    line-height:10px;

    color:#f39c12;

    pointer-events:none;
}

.erp-lunar-first .erp-lunar, .erp-lunar-full .erp-lunar{
    color:brown;
    font-weight:900;
}

.flatpickr-innerContainer {
    background-color:rgb(236, 194, 143);
}
/* .flatpickr-months {
    background-color:rgb(213, 211, 232);
} */

.flatpickr-current-month{
    font-weight:900;
    /* background:#f3f6fb; */
    /* color:#fff; */
    padding:6px 0;
    border-radius:4px;
}

.flatpickr-months .flatpickr-prev-month, .flatpickr-months .flatpickr-next-month{
    color:#fff;
    padding:6px ;
}

.flatpickr-day.saturday {
    color:rgb(121, 69, 5);
    font-weight:600;
}

.flatpickr-day.sunday {
    color:#c9302c;
    font-weight:700;
}


.flatpickr-day:hover{
    background:#e9f2ff;
}

.flatpickr-day.today {
    border-color: #959ea9;
    background-color: rgba(246, 87, 246, 1);
    color: #fff;
}

/* responsive */

@media(max-width:768px){

    .flatpickr-calendar{
        font-size:13px;
    }

}